Merge Step #3: It compiles, lets ship it.
Merge Step #4: Make it look like it works.
travis: try again... #4 (argh!)
travis: try again... #4 (argh, ubuntu/debian just plain sucks)
readme: more badges! #4
freebsd: add some quirks #4
